summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Matteo Bernardini <ponce@slackbuilds.org>2014-03-19 07:17:41 +0700
committer Erik Hanson <erik@slackbuilds.org>2014-03-21 13:01:20 -0500
commit6d5d8cbfac9e60d682a847e0c58636b24293cffb (patch)
tree8b8c55a23817b7a5aa53e6148509ea060c9d0510 /libraries
parentcf8cc4ba89d05f3daa5f634c635c0ce4c2b4c641 (diff)
downloadslackbuilds-6d5d8cbfac9e60d682a847e0c58636b24293cffb.tar.gz
slackbuilds-6d5d8cbfac9e60d682a847e0c58636b24293cffb.tar.xz
libraries/lua-md5: Added (Cryptographic Library for Lua).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/lua-md5/3ee1414.patch22
-rw-r--r--libraries/lua-md5/README3
-rw-r--r--libraries/lua-md5/d6719be.patch28
-rw-r--r--libraries/lua-md5/lua-md5.SlackBuild107
-rw-r--r--libraries/lua-md5/lua-md5.info10
-rw-r--r--libraries/lua-md5/slack-desc19
6 files changed, 189 insertions, 0 deletions
diff --git a/libraries/lua-md5/3ee1414.patch b/libraries/lua-md5/3ee1414.patch
new file mode 100644
index 0000000000..91dd4a13b6
--- /dev/null
+++ b/libraries/lua-md5/3ee1414.patch
@@ -0,0 +1,22 @@
+commit 3ee141422f30f45d841bb21be90474dd1fb68a67
+Author: Tomas Guisasola <tomasguisasola@gmail.com>
+Date: Mon Sep 23 11:26:01 2013 -0300
+
+ Bug correction on upvalues management (thanks to Philipp Janda).
+
+diff --git a/src/compat-5.2.c b/src/compat-5.2.c
+index f54caa2..ce57660 100644
+--- a/src/compat-5.2.c
++++ b/src/compat-5.2.c
+@@ -12,9 +12,9 @@ void luaL_setfuncs (lua_State *L, const luaL_Reg *l, int nup) {
+ int i;
+ lua_pushstring(L, l->name);
+ for (i = 0; i < nup; i++) /* copy upvalues to the top */
+- lua_pushvalue(L, -nup);
++ lua_pushvalue(L, -(nup + 1));
+ lua_pushcclosure(L, l->func, nup); /* closure with those upvalues */
+- lua_settable(L, -3);
++ lua_settable(L, -(nup + 3)); /* table must be below the upvalues, the name and the closure */
+ }
+ lua_pop(L, nup); /* remove upvalues */
+ }
diff --git a/libraries/lua-md5/README b/libraries/lua-md5/README
new file mode 100644
index 0000000000..b340ad92e0
--- /dev/null
+++ b/libraries/lua-md5/README
@@ -0,0 +1,3 @@
+MD5 offers basic cryptographic facilities for Lua: a hash (digest)
+function, a pair crypt/decrypt based on MD5 and CFB, and a pair
+crypt/decrypt based on DES with 56-bit keys.
diff --git a/libraries/lua-md5/d6719be.patch b/libraries/lua-md5/d6719be.patch
new file mode 100644
index 0000000000..cc0f92bf4f
--- /dev/null
+++ b/libraries/lua-md5/d6719be.patch
@@ -0,0 +1,28 @@
+commit d6719be4d52ca06e29bc5dd92c98fd03538ecec9
+Author: Tomas Guisasola <tomasguisasola@gmail.com>
+Date: Sat Sep 21 11:28:50 2013 -0300
+
+ Bug correction: the function didn't work with upvalues (thanks to Philipp Janda).
+
+diff --git a/src/compat-5.2.c b/src/compat-5.2.c
+index 1a60973..f54caa2 100644
+--- a/src/compat-5.2.c
++++ b/src/compat-5.2.c
+@@ -7,14 +7,14 @@
+ ** Adapted from Lua 5.2.0
+ */
+ void luaL_setfuncs (lua_State *L, const luaL_Reg *l, int nup) {
+- luaL_checkstack(L, nup, "too many upvalues");
++ luaL_checkstack(L, nup+1, "too many upvalues");
+ for (; l->name != NULL; l++) { /* fill the table with given functions */
+ int i;
++ lua_pushstring(L, l->name);
+ for (i = 0; i < nup; i++) /* copy upvalues to the top */
+ lua_pushvalue(L, -nup);
+- lua_pushstring(L, l->name);
+ lua_pushcclosure(L, l->func, nup); /* closure with those upvalues */
+- lua_settable(L, -(nup + 3));
++ lua_settable(L, -3);
+ }
+ lua_pop(L, nup); /* remove upvalues */
+ }
diff --git a/libraries/lua-md5/lua-md5.SlackBuild b/libraries/lua-md5/lua-md5.SlackBuild
new file mode 100644
index 0000000000..3726e3f179
--- /dev/null
+++ b/libraries/lua-md5/lua-md5.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for lua-md5
+
+# Copyright 2014 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lua-md5
+SRCNAM=md5
+VERSION=${VERSION:-1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="doc/us/* README"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || tar xvf $CWD/v$VERSION.tar.?z*
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Added upstream patches to make it buildable
+# https://github.com/keplerproject/md5/commit/d6719be4d52ca06e29bc5dd92c98fd03538ecec9
+patch -p1 < $CWD/d6719be.patch
+
+# https://github.com/keplerproject/md5/commit/3ee141422f30f45d841bb21be90474dd1fb68a67
+patch -p1 < $CWD/3ee1414.patch
+
+# Configure with sed
+sed -i \
+ -e "s|/usr/local|/usr|" \
+ -e "s|lib/lua|lib$LIBDIRSUFFIX/lua|" \
+ -e "s|-O2 -Wall -fPIC|$SLKCFLAGS|" \
+ config
+
+make
+
+# Manual install
+install -m 0755 -D src/core.so $PKG/usr/lib$LIBDIRSUFFIX/lua/5.1/md5/core.so
+install -m 0755 -D src/des56.so $PKG/usr/lib$LIBDIRSUFFIX/lua/5.1/des56.so
+install -m 0644 -D src/md5.lua $PKG/usr/share/lua/5.1/md5.lua
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/lua-md5/lua-md5.info b/libraries/lua-md5/lua-md5.info
new file mode 100644
index 0000000000..145aaaf26b
--- /dev/null
+++ b/libraries/lua-md5/lua-md5.info
@@ -0,0 +1,10 @@
+PRGNAM="lua-md5"
+VERSION="1.2"
+HOMEPAGE="http://keplerproject.org/md5/"
+DOWNLOAD="https://github.com/keplerproject/md5/archive/v1.2.tar.gz"
+MD5SUM="c166f8a983401802a86655a8c733441e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="lua"
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"
diff --git a/libraries/lua-md5/slack-desc b/libraries/lua-md5/slack-desc
new file mode 100644
index 0000000000..8bc2e18744
--- /dev/null
+++ b/libraries/lua-md5/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lua-md5: lua-md5 (Cryptographic Library for Lua)
+lua-md5:
+lua-md5: MD5 offers basic cryptographic facilities for Lua: a hash (digest)
+lua-md5: function, a pair crypt/decrypt based on MD5 and CFB, and a pair
+lua-md5: crypt/decrypt based on DES with 56-bit keys.
+lua-md5:
+lua-md5: homepage: http://keplerproject.org/md5/
+lua-md5:
+lua-md5:
+lua-md5:
+lua-md5: